Bug 1582223 - [abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
Summary: [abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc446f4fca870ccbed5af846b9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 15:03 UTC by jaynelson
Modified: 2018-08-23 10:33 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.31.3-1.fc27 remmina-1.2.31.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.32 KB, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: core_backtrace (24.95 KB, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: dso_list (12.73 KB, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: environ (3.55 KB, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-24 15:03 UTC, jaynelson
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details
File: maps (62.59 KB, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details
File: mountinfo (3.71 KB, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details
File: open_fds (1.46 KB, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details
File: var_log_messages (577 bytes, text/plain)
2018-05-24 15:04 UTC, jaynelson
no flags Details

Description jaynelson 2018-05-24 15:03:48 UTC
Description of problem:
Had one RDP session open, went to open a second and it crashed. This seems to happen quite often.
Fedora 28
Linux 3hje2873d-na-amfbowl-net 4.16.8-300.fc28.x86_64 #1 SMP Wed May 9 20:23:40 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Version-Release number of selected component:
remmina-1.2.0-0.51.20180408.git.6b62986.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: do_validate_rows
executable:     /usr/bin/remmina
journald_cursor: s=43062d789d8d48448dbbe023f180b77d;i=239b8;b=caf1ec5a5c99464d86c6e976f0f2515f;m=3ae40ded4b;t=56cf4e20f4223;x=2b8078fef8ac23fc
kernel:         4.16.8-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_validate_rows at gtktreeview.c:6897
 #1 gtk_tree_view_get_preferred_width at gtktreeview.c:2637
 #2 gtk_widget_query_size_for_orientation at gtksizerequest.c:181
 #3 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #4 gtk_widget_get_preferred_width at gtksizerequest.c:492
 #5 gtk_scrolled_window_measure at gtkscrolledwindow.c:1828
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_scrolled_window_get_preferred_width at gtkscrolledwindow.c:4070
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:181

Potential duplicate: bug 1492417

Comment 1 jaynelson 2018-05-24 15:03:53 UTC
Created attachment 1441080 [details]
File: backtrace

Comment 2 jaynelson 2018-05-24 15:03:54 UTC
Created attachment 1441081 [details]
File: cgroup

Comment 3 jaynelson 2018-05-24 15:03:55 UTC
Created attachment 1441082 [details]
File: core_backtrace

Comment 4 jaynelson 2018-05-24 15:03:56 UTC
Created attachment 1441083 [details]
File: cpuinfo

Comment 5 jaynelson 2018-05-24 15:03:57 UTC
Created attachment 1441084 [details]
File: dso_list

Comment 6 jaynelson 2018-05-24 15:03:58 UTC
Created attachment 1441085 [details]
File: environ

Comment 7 jaynelson 2018-05-24 15:03:59 UTC
Created attachment 1441086 [details]
File: exploitable

Comment 8 jaynelson 2018-05-24 15:04:00 UTC
Created attachment 1441087 [details]
File: limits

Comment 9 jaynelson 2018-05-24 15:04:01 UTC
Created attachment 1441088 [details]
File: maps

Comment 10 jaynelson 2018-05-24 15:04:02 UTC
Created attachment 1441089 [details]
File: mountinfo

Comment 11 jaynelson 2018-05-24 15:04:03 UTC
Created attachment 1441090 [details]
File: open_fds

Comment 12 jaynelson 2018-05-24 15:04:04 UTC
Created attachment 1441091 [details]
File: proc_pid_status

Comment 13 jaynelson 2018-05-24 15:04:05 UTC
Created attachment 1441092 [details]
File: var_log_messages

Comment 14 Fedora Update System 2018-08-20 14:39:49 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 15 Fedora Update System 2018-08-20 14:41:06 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 16 Fedora Update System 2018-08-22 00:32:56 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 17 Fedora Update System 2018-08-22 03:12:28 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 18 Fedora Update System 2018-08-23 09:45:10 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-08-23 10:33:05 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.